Summary: Support library to use and manage the QRTR (Qualcomm IPC Router) bus.
Name: libqrtr-glib
Version: 1.0.0
Release: 3%{?dist}
License: LGPLv2+
URL: http://freedesktop.org/software/libqrtr-glib
Source: http://freedesktop.org/software/libqmi/libqrtr-glib/%{name}-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: glib2-devel >= 2.48.0
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: python3

%description
This package provides the libraries for using and managing the QRTR (Qualcomm IPC Router) bus.


%package devel
Summary: Header files for adding QRTR support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package provides the header and pkg-config files for development applications using QRTR 
functionality from applications that use glib.


%prep
%autosetup -p1


%build
%configure --disable-gtk-doc
%make_build V=1


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete


%files
%license COPYING.LIB
%doc NEWS AUTHORS README
%{_libdir}/libqrtr-glib.so.*
%{_libdir}/girepository-1.0/Qrtr-1.0.typelib


%files devel
%{_includedir}/libqrtr-glib/
%{_libdir}/libqrtr-glib.so
%{_libdir}/pkgconfig/qrtr-glib.pc
%{_datadir}/gtk-doc/html/libqrtr-glib/
%{_datadir}/gir-1.0/Qrtr-1.0.gir


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.0-1
- package init.
